Bug 972315 - RHEVM should have the ability to resume the guest which attached an inactive iso [NEEDINFO]
RHEVM should have the ability to resume the guest which attached an inactive iso
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.4.0
Assigned To: Vinzenz Feenstra [evilissimo]
Tareq Alayan
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 06:59 EDT by EricLee
Modified: 2015-09-22 09 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-28 04:58:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michal.skrivanek: needinfo? (bili)


Attachments (Terms of Use)
libvirtd.log (27.44 KB, text/plain)
2013-06-08 07:00 EDT, EricLee
no flags Details
vdsm.log (131.84 KB, text/plain)
2013-06-08 07:02 EDT, EricLee
no flags Details
vdsm.log (5.74 MB, text/plain)
2013-06-13 01:28 EDT, EricLee
no flags Details
libvirtd.log (2.44 MB, text/plain)
2013-06-13 01:29 EDT, EricLee
no flags Details
Blocked Resume (71.36 KB, image/png)
2013-06-26 08:46 EDT, Vinzenz Feenstra [evilissimo]
no flags Details
libvirtd-new.log (139.27 KB, text/plain)
2013-08-14 03:16 EDT, EricLee
no flags Details
vdsm.log for resume a vm with inactive iso file. (366.76 KB, text/plain)
2013-08-14 03:18 EDT, EricLee
no flags Details
vdsm.log for start a vm with inactive iso file. (45.30 KB, text/plain)
2013-08-14 03:19 EDT, EricLee
no flags Details
enging.log (4.80 KB, text/plain)
2013-08-14 04:20 EDT, EricLee
no flags Details

  None (edit)
Description EricLee 2013-06-08 06:59:35 EDT
Description of problem:
RHEVM should have the ability to resume the guest which attached an inactive iso

Version-Release number of selected component (if applicable):
RHEVM Server:
rhevm-3.2.0-10.14.beta1.el6ev.noarch

RHEL Host:
kernel-2.6.32-358.11.1.el6.x86_64
vdsm-4.10.2-1.14.el6ev.x86_64
libvirt-0.10.2-18.el6_4.7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. attach a iso to a guest in rhevm, and start the guest.
2. inactive the iso.
3. suspend the guest.
4. resume(press "run" key in rhevm) the guest.

Actual results:
Step 4 get error:
Failed to start the guest.
log from vdsm.log:
Thread-262::ERROR::2013-06-08 18:32:47,884::libvirtconnection::106::vds::(wrapper) Unknown libvirterror: ecode: 42 edom: 10
Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/vdsm/libvirtconnection.py", line 83, in wrapper
    ret = f(*args, **kwargs)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 381, in XMLDesc
    if ret is None: raise libvirtError ('virDomainGetXMLDesc() failed', dom=self)
libvirtError: Domain not found: no domain with matching uuid 'c5c020be-3fbb-46ba-b0bd-fa1ba23aa998'

log from libvirtd.log(in the RHEL Host):
2013-06-08 10:32:47.892+0000: 2556: error : qemuDomainGetCPUStats:14617 : internal error No such domain ÅÀ ¾?»Fº°½ú^[¢:©<98>


Expected results:
Should resume successfully.

Additional info:
If not, should not allow to suspend the guest which attached with an inactive iso.
Detail logs please see attachments.
Comment 1 EricLee 2013-06-08 07:00:28 EDT
Created attachment 758489 [details]
libvirtd.log
Comment 2 EricLee 2013-06-08 07:02:20 EDT
Created attachment 758490 [details]
vdsm.log
Comment 3 Michal Skrivanek 2013-06-10 03:02:43 EDT
floppy/cdrom is supposed to be started with "startupPolicy=optional" so it should not fail on resume.
However, logs are missing from the time of the VM creation and also from the beginning of resume, can you please supply?
Comment 4 EricLee 2013-06-13 01:26:50 EDT
Hi Michal,

I added a new vm(named vm3) to rhevm, and collected vdsm.log and libvirtd.log in next two comments, please check.

Thanks,
EricLee
Comment 5 EricLee 2013-06-13 01:28:25 EDT
Created attachment 760454 [details]
vdsm.log
Comment 6 EricLee 2013-06-13 01:29:12 EDT
Created attachment 760455 [details]
libvirtd.log
Comment 7 Vinzenz Feenstra [evilissimo] 2013-06-26 05:47:03 EDT
Eric, please describe how exactly you do this "inactive the ISO" (domain?)
I am not able to reproduce this somehow.

If I put the ISO domain into maintenance or detach it from the DataCenter I cannot even restore the VM from the engine, it won't allow me to.
If I attach a different ISO domain which does not have the attached ISO it will resume nevertheless.

So how exactly are you doing the step: 'inactive the iso'?
Comment 8 EricLee 2013-06-26 06:01:21 EDT
(In reply to Vinzenz Feenstra [evilissimo] from comment #7)
> Eric, please describe how exactly you do this "inactive the ISO" (domain?)
> I am not able to reproduce this somehow.
> 
> If I put the ISO domain into maintenance or detach it from the DataCenter I
> cannot even restore the VM from the engine, it won't allow me to.

Attach iso to guest -> Start guest -> put ISO domain to maintenance -> suspend guest -> resume guest.

It will give error, and fail to resume, not "won't allow to do".

> If I attach a different ISO domain which does not have the attached ISO it
> will resume nevertheless.
> 
> So how exactly are you doing the step: 'inactive the iso'?
Comment 9 Vinzenz Feenstra [evilissimo] 2013-06-26 08:46:40 EDT
Created attachment 765552 [details]
Blocked Resume

Well this is how this looks like for me when I try to start a VM with DVD Image attached when the ISO Domain in maintenance.

Sorry but this issue is not reproducible for me at all. I am not sure how you managed to get around this to start the VM :/
Comment 10 Vinzenz Feenstra [evilissimo] 2013-06-26 08:48:22 EDT
even if the cluster says 3.1 it is 3.2 and has compatibility version 3.2
Please try the latest RHEVM Engine
Comment 11 EricLee 2013-06-26 22:01:07 EDT
(In reply to Vinzenz Feenstra [evilissimo] from comment #9)
> Created attachment 765552 [details]
> Blocked Resume
> 
> Well this is how this looks like for me when I try to start a VM with DVD
> Image attached when the ISO Domain in maintenance.
> 
> Sorry but this issue is not reproducible for me at all. I am not sure how
> you managed to get around this to start the VM :/

Hi Vinzenz,

Please make the ISO Domain attached in the Data Center, and active it, then attach to the guest, then start the guest, and then put ISO domain to maintenance, guest still running well, then suspend guest and resume guest.

Does it clear to you?

Thanks,
EricLee
Comment 12 Vinzenz Feenstra [evilissimo] 2013-06-27 02:13:23 EDT
I am sorry, but I still get the same result. 
What I did:
* I am starting a VM with an ISO attached and and active ISO domain.
* While the VM is running I am putting the ISO domain into maintenance. 
* I am suspending the VM
* When the VM was suspended I am trying to resume the VM again with the ISO domain still being in maintenance
Result:
 See screenshot in Comment #9

As I said, I am not able to reproduce this issue on the host side at all.
Comment 13 EricLee 2013-06-27 05:32:08 EDT
(In reply to Vinzenz Feenstra [evilissimo] from comment #12)
> I am sorry, but I still get the same result. 
> What I did:
> * I am starting a VM with an ISO attached and and active ISO domain.
> * While the VM is running I am putting the ISO domain into maintenance. 
> * I am suspending the VM
> * When the VM was suspended I am trying to resume the VM again with the ISO
> domain still being in maintenance
> Result:
>  See screenshot in Comment #9
> 
> As I said, I am not able to reproduce this issue on the host side at all.

Hi Vinzenz,

I tried three versions of rhevm:
rhevm-3.2.1-0.31.el6ev.noarch 
rhevm-3.2.0-11.30.el6ev.noarch
rhevm-3.2.0-10.14.beta1.el6ev.noarch

There is no pop-up window to tell "can not start VM with an inactive ISO domain" when resume the suspended VM.

I saw that window only when VM is in shut off status and with an inactive ISO domain then start it. If VM is in running status, then deactivate the ISO domain, and then suspend and resume will only get error in log, however, indeed fail.

Thanks,
EricLee
Comment 14 Vinzenz Feenstra [evilissimo] 2013-08-12 08:57:35 EDT
Well looking at the libvirtd.log closer revealed that it did not even try to check for the iso file. It stopped right after checking for the Disk image FS magic.

2013-06-08 10:32:47.248+0000: 2554: debug : virStorageFileIsSharedFSType:1124 : Check if path /rhev/data-center/3a980256-7201-4d3e-bc22-96eb892572ff/e26a61e6-e072-4308-b341-49e80d05c2ac/images/60f87a41-6682-426b-8250-6714eca61fff/95bbdace-16c2-40fb-8a44-2c5917dd8d09 with FS magic 26985 is shared
2013-06-08 10:32:47.250+0000: 2554: debug : qemuProcessStop:4192 : Shutting down VM 'VM1' pid=3467 flags=0
2013-06-08 10:32:47.252+0000: 2554: debug : qemuAgentClose:814 : mon=0x7f66c4272380
2013-06-08 10:32:47.252+0000: 2554: debug : qemuMonitorClose:837 : QEMU_MONITOR_CLOSE: mon=0x7f66c4272520 refs=2
2013-06-08 10:32:47.252+0000: 2548: debug : qemuMonitorDispose:246 : mon=0x7f66c4272520
2013-06-08 10:32:47.252+0000: 2548: debug : qemuAgentDispose:169 : mon=0x7f66c4272380

There's nothing wrong on the VDSM side, I tried different things and it all worked for me.

@mkletzan: Could you please check it as well and tell me if you see any issue here I might have overlooked? Thank you.
Comment 15 Vinzenz Feenstra [evilissimo] 2013-08-13 10:07:14 EDT
Please provide VDSM logs and libvirt log which actually contain the failure of
restoring of the state. After further investigation Martin and me figured out
that we only can find the saving state information.
But not really the restoring state failing as you claim.

Thank you.
Comment 16 EricLee 2013-08-14 03:15:05 EDT
Hi Vinzenz,

I re-got the logs of vdsm and libvirtd, please see the next two comments.

However, I do not think libvirtd.log will help, and vdsm.log gives confused logs just like starting a vm with an inactived iso file attached, so that's why you can not find the restoring state in log. That means my steps as following will get the same log and result as just start a vm with an inactived iso file attached.

And my steps are:
1. prepare a acitve iso including some *.iso file in it.
2. prepare a healthy vm with rhel6.4 os installed.
3. edit the vm, attach a .iso to the vm.
4. start the vm.
5. after the vm start totally, suspend the vm.
6. after the vm suspend totally, and the status is Suspended, then resume the vm.
7. check vdsm.log.

I thought this is a bug because rhevm should have ability to resume the vm which suspended by itself with the same configuration.

And for the start stuff should give more specific error info like: can not start a vm attaching an inactive iso file, or we will feel confused.

Thanks.
EricLee
Comment 17 EricLee 2013-08-14 03:16:49 EDT
Created attachment 786413 [details]
libvirtd-new.log
Comment 18 EricLee 2013-08-14 03:18:15 EDT
Created attachment 786414 [details]
vdsm.log for resume a vm with inactive iso file.
Comment 19 EricLee 2013-08-14 03:19:47 EDT
Created attachment 786415 [details]
vdsm.log for start a vm with inactive iso file.
Comment 20 Vinzenz Feenstra [evilissimo] 2013-08-14 03:52:04 EDT
Please attach the engine logs for this. Once again there's no information about resuming the VM in the vdsm logs. I can find the starting of the VM but not resuming.
Comment 21 EricLee 2013-08-14 04:19:43 EDT
Please see the next comment.
Comment 22 EricLee 2013-08-14 04:20:23 EDT
Created attachment 786431 [details]
enging.log
Comment 25 Michal Skrivanek 2014-04-01 04:22:24 EDT
there is nothing relevant in the engine log for the Resume operation. Unless you still have the logs we would like to close this as "probably" fixed by other changes in the backend for the inactive ISO handling by Arik in 3.3
Comment 26 EricLee 2014-04-01 06:05:25 EDT
(In reply to Michal Skrivanek from comment #25)
> there is nothing relevant in the engine log for the Resume operation. Unless
> you still have the logs we would like to close this as "probably" fixed by
> other changes in the backend for the inactive ISO handling by Arik in 3.3

When vm is suspended, Resume is Run operation.

I do not have the logs, right now.
Comment 27 Michal Skrivanek 2014-04-01 06:41:08 EDT
AFAICT the vdsm log in comment #18 contains the create flow (Run - not resume), log in comment #19 doesn't contain anything.
Can you still see the same behavior?
Comment 28 Omer Frenkel 2014-04-01 07:13:56 EDT
i tested on latest master, currently the engine block running vm that is configured with iso (clean run or resume suspended), when iso domain is down.
this behavior was decided as part of other bug i cant find.
Comment 29 Michal Skrivanek 2014-04-28 04:58:07 EDT
per comment #28 it's working ok
please reopen if still relevant

Note You need to log in before you can comment on or make changes to this bug.